- Home
- API Enriched
- Billing And Usage
- web
- GET Quota Usage.
GET Quota Usage.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/web/namespaces/example/quota/usage';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/web/namespaces/example/quota/usage \ --header 'Authorization: <Authorization>'GET allows users to query limits and current usage of resources.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace The tenant this item belongs to.
Responses
Section titled “Responses”A successful response.
User”: {limit: {maximum: 10}, usage: {number: 8}}, “virtual_host”:{limit: {maximum: 12}, usage: {number: 6}}, “domain”: {limit: {maximum: 7}, usage: {number: 5}}}” Map of quotas that are assigned for the current tenant and namespace.
object
APILimits object. Deprecated by ‘APIs’
object
Configured rate limits for APIs.
object
UsageDataInFloat object. Deprecated by ‘resources’
object
Configured limits for object instances and current usage.
object
UsageData object. Deprecated by ‘objects’
object
Configured limits for resources and current usage if relevant.
object
Examplegenerated
{ "api_limits": {}, "apis": {}, "float_quota_usage": {}, "objects": {}, "quota_usage": {}, "resources": {}}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example